"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const completion_test_util_1 = require("../../../test-util/completion-test-util");
const completion_item_1 = require("../completion-item");
const setup = {
    langId: 'stylus',
    docUri: 'test://test/test.styl',
    doComplete(doc, pos) {
        return completion_item_1.provideCompletionItems(doc, pos);
    }
};
const stylus = completion_test_util_1.testDSL(setup);
suite('Stylus Completion', () => {
    test('basic property', () => {
        stylus `back|`.has('background');
        stylus `.back|`.hasNo('background');
        stylus `
    .background
      back|`.has('background');
    });
    test('variable', () => {
        stylus `
    test-var = red
    .test-selector
      color te|`.has('test-var');
        stylus `
    .test-selector
      test-var = red
      color test-var
    .another-var
      hehe te|`.hasNo('test-var');
        stylus `
    test-var = red
    .test-selector
      te|`.hasNo('test-var');
        stylus `
    test-func(n)
      background n
    .test-selector
      te|`.has('test-func');
    });
});
//# sourceMappingURL=completion.test.js.map