"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const completion_test_util_1 = require("../../test-util/completion-test-util");
const htmlParser_1 = require("../parser/htmlParser");
const htmlCompletion_1 = require("../services/htmlCompletion");
const setup = {
    langId: 'vue-html',
    docUri: 'test://test/test.html',
    doComplete(doc, pos) {
        const htmlDoc = htmlParser_1.parseHTMLDocument(doc);
        return htmlCompletion_1.doComplete(doc, pos, htmlDoc, [], {});
    }
};
const vueHtml = completion_test_util_1.testDSL(setup);
suite('Emmet Completion', () => {
    test('Emmet HTML Expansion', () => {
        vueHtml `ul>li*3|`.has(`ul>li*3`).become(`<ul>
\t<li>\${1}</li>
\t<li>\${2}</li>
\t<li>\${0}</li>
</ul>`);
        vueHtml `{{ul>li*3|}}`.hasNo(`ul>li*3`);
        vueHtml `div+p|`.has(`div+p`).become(`<div>\${1}</div>
<p>\${0}</p>`);
    });
    vueHtml `#header|`.has(`#header`).become(`<div id="header">\${0}</div>`);
});
//# sourceMappingURL=emmet.test.js.map