"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_1 = require("vscode-languageserver");
const vls_1 = require("./services/vls");
const connection = process.argv.length <= 2 ? vscode_languageserver_1.createConnection(process.stdin, process.stdout) : vscode_languageserver_1.createConnection();
console.log = connection.console.log.bind(connection.console);
console.error = connection.console.error.bind(connection.console);
const vls = new vls_1.VLS(connection);
connection.onInitialize((params) => __awaiter(this, void 0, void 0, function* () {
    console.log('Vetur initializing');
    yield vls.init(params);
    console.log('Vetur initialized');
    return {
        capabilities: vls.capabilities
    };
}));
vls.listen();
//# sourceMappingURL=vueServerMain.js.map